import { BuiltInParserName } from 'prettier';
export declare type SupportedParser = Extract<BuiltInParserName, 'css' | 'html' | 'json' | 'less' | 'scss' | 'markdown' | 'typescript'>;
declare type SupportedParserNotExtname = Extract<SupportedParser, 'markdown' | 'typescript'>;
export declare type SupportedExtname = Exclude<SupportedParser, SupportedParserNotExtname> | 'md' | 'ts' | 'js';
export {};
